<?php

declare(strict_types=1);

namespace Seka\Vzdelavanie\Listeners\Kniznica;

use Illuminate\Contracts\Queue\ShouldQueue;
use Seka\Vzdelavanie\Models\Popularita\Popularita;
use Seka\Vzdelavanie\Events\Kniznica\SekciaOpened;

/**
 * Class SekciaCreatePopularityRecord
 *
 * @package Seka\Vzdelavanie\Listeners\Kniznica
 */
final class SekciaCreatePopularityRecord
{
    /**
     * SekciaCreatePopularityRecord constructor.
     */
    public function __construct()
    {

    }

    /**
     * @param \Seka\Vzdelavanie\Events\Kniznica\SekciaOpened $event
     */
    public function handle(SekciaOpened $event): void
    {
        $popularita = new Popularita();
        $popularita->pouzivatel()->associate($event->pouzivatel->getAuthIdentifier());

        $event->sekcia->popularita()->save($popularita);
    }
}
